## org.codehaus.groovy.grails.web.util
Class DebugHttpSessionListener

    java.lang.Object
      org.codehaus.groovy.grails.web.util.DebugHttpSessionListener

All Implemented Interfaces:
  EventListener, HttpSessionListener

    public class DebugHttpSessionListener

extends Object
implements HttpSessionListener

Simple implementation of the HttpListener interface that writes to standard out

Constructor Summary
`DebugHttpSessionListener()`

Method Summary
`void` `sessionCreated(HttpSessionEvent event)`
`void` `sessionDestroyed(HttpSessionEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DebugHttpSessionListener

    public DebugHttpSessionListener()

Method Detail

### sessionCreated

    public void sessionCreated(HttpSessionEvent event)

  Specified by:
    `sessionCreated` in interface `HttpSessionListener`

### sessionDestroyed

    public void sessionDestroyed(HttpSessionEvent event)

  Specified by:
    `sessionDestroyed` in interface `HttpSessionListener`

Copyright (c) 2005-2009 The Grails project